INTRODUCTION
============
Offers a simple solution to generate electronic documents: json + docx => PDF/DOCX

REQUIREMENTS
============

> Drupal8, 

> LibreOffice >= 7.2.0.4, 

> phpWord >= v0.18, 

> PHP7.4

CONFIGURATION
=============

It is possible to configure remote accesses if you want to use the API available at: https://api-cri.fr/api/v1/post.

Configuration page: /admin/api/configuration.

USAGE
=====

Simply use the service Drupal::service('default.rest.editique.service')->_call(JSONDATA, OPTIONS).

JSONDATA : Flux Json

OPTIONS : ['_remote' => TRUE/FALSE].

_remote = TRUE : use of remote (higher performing) api

_remote = FALSE : use of the local api (depend of environments)

A demo tool accompanies the api. To activate it: [drush en cri_demo]. This activates the entire api. If you don’t want to enable the demo module, just do [drush en cri_editics].
To access the demo page: configuration>Web services > IRC - Demo space (url: /demo/form)

DOCUMENTATION
=============

A user guide is available in the demo space.

On this link, you can get the full documentation of the API: https://api-cri.fr

MAINTAINERS
===========

 - MOHAMED A. Idjabou (mcri.infos@gmail.com)
